/* Import de fontes */

@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@700&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Just+Another+Hand&display=swap');

/* Estilização geral */

::selection {
    background: none;
    color: #02B460;
}

body {
    /* background-color: #DDDDDD; */
    background: linear-gradient(180deg, rgba(17, 214, 122, 0.507), #DDDDDD, lightgrey, white);
    background-repeat: no-repeat;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    height: 100vh;
    opacity: 1;
    transition: 1s ease;
    height: 150vh;
}

.darkmode {
    background: #3b3b3b;
    opacity: 0.8;
}

.cont1 {
    background-color: #02B460;
    width: 100vw;
    height: 15vh;
    border-bottom-left-radius: 10%;
    border-bottom-right-radius: 10%;
    box-shadow: 0px 2px 50px #01733E;
}

.logo {
    width: 11vh;
    margin: 1vh;
}

.txtcont1 {
    font-size: 3vh;
    float: left;
    font-family: 'Kanit';
    margin: 5vh;
}

.imgcont1 {
    float: right;
    /* font-family: 'Kanit';
    font-size: 2vw; */
    margin: 2vh; 
    width: 5vh;
    transition: 0.8s;
    cursor: pointer;
}

.imgcont1:hover {
    scale: 1.2;
    rotate: 25deg;
}

.servmobile {
    background: linear-gradient(180deg, #01733E, #02B460);
    text-align: center;
    width: 65vw;
    height: 35vh;
    font-family: 'Just Another Hand', cursive;
    font-size: 5.5vw;
    vertical-align: middle;
    line-height: 20vh;
    box-shadow: 0px -10px 30px #01733eb6;
    /* box-shadow: 0px 10px 30px #01733eb6; */
    border-radius: 350px;
    margin-top: 10vh;
    margin-left: auto;
    margin-right: auto;
    border: 5px solid #3b3b3b;
    display: none;
}

.superior {
    width: 35vw;
    height: 15vh;
    background-color: #01733E;
    margin-left: 2.5vw;
    margin-bottom: 2vh;
    border-radius: 50px;
    font-family: 'Just Another Hand';
    text-align: center;
    vertical-align: middle;
    line-height: 4vw;
    font-size: 5vh;
    box-shadow: 0px 0px 30px 10px #01733E;
}

#carouselExampleIndicators {
    width: 50vw;
    margin-left: auto;
    margin-right: auto;
}

.carousel-item {
    margin-top: 5vh;
    margin-left: 5vw;
}

.carousel-control-prev {
    margin-left: 2vw;
}

.carousel-control-next {
    margin-right: 2vw;
}

.carousel-caption {
    margin-left: -10vw;
}

.logoinsta {
    width: 2vw;
}

.d-block {
    width: 40vw;
    height: 80vh;
    border-radius: 50px;
    transition: 0.8s;
    box-shadow: 0px 0px 20px 1px #02b4619d;
}

.d-block:hover {
    transform: scale(1.02);
}

.inlinenav {
    margin-top: 8vh;
    margin-bottom: 8vh;
    display: inline-block;
    background: linear-gradient(#01733E, #02B460, #015930);
    width: 18vw;
    height: 8vh;
    font-size: 3vw;
    font-weight: 500;
    border: 5px solid #3b3b3b;
    border-radius: 150px;
    margin-right: 2vw;
    margin-left: 10vw;
    vertical-align: middle;
    line-height: 8vh;
    text-align: center;
    font-family: 'Just Another Hand';
    box-shadow: -7px 7px 10px #0159307c;
    transition: 0.8s;
}

.anchor {
    text-decoration: none;
    color: #DDDDDD;
}

.inlinenav:hover {
    transform: scale(1.1);
    color: #DDDDDD;
}

/* Estilização para mobile */

@media screen and (max-width: 767px) {
    
    body {
        height: 100vh;
    }
    
    .txtcont1 {
        display: none;
        font-size: 4.5vw;
        margin: 5vh;
        margin-right: 1vh;
        margin-left: 1vh;
    }

    .superior {
    display: none;
    }

    .servmobile {
        display: block;
        width: 85vw;
        height: 10vh;
        font-size: 13vw;
        line-height: 9vh;
        margin-top: 7vh;
        border: 4px solid #3b3b3b;
    }

    .d-block {
        width: 90vw;
        height: 50vh;
        border-radius: 50px;
        transition: 0.8s;
        box-shadow: 0px 0px 20px 1px #02b4619d;
    }

    #carouselExampleIndicators {
        width: 100vw;
        margin-left: auto;
        margin-right: auto;
    }

    .carousel-caption {
        margin-left: -10vw;
        border: none;
    }
    
    .logoinsta {
        width: 7vw;
    }

    h1 {
        font-size: 5.5vw;
    }

    .inlinenav {
        border: 2px solid #3b3b3b;
        width: 25vw;
        height: 3.5vh;
        margin-right: .5vw;
        margin-left: 4.8vw;
        font-size: 6.5vw;
        line-height: 3.5vh;
    }
}